////
var tID = null;
var getObj = null;
var mq = new classMQ();

function classMQ(){
}

classMQ.prototype.set = function(obj){
getObj = obj;
this.BLANK = "                 ";
this.CONTENT = getObj.value;
this.SCROLL = this.BLANK + this.CONTENT + this.BLANK + this.CONTENT;
}

classMQ.prototype.scroll = function( )
{
if (!getObj)	return;

var value = getObj.value;
getObj.value = value.substring(1);
if ("" == getObj.value.length){
	getObj.value = this.SCROLL;
}
}

classMQ.prototype.init = function(  ) 
{
if (!getObj)	return;
getObj.value = this.CONTENT;
}
/////播放器
function CheckOthers(form)
{
	for (var i=0;i<form.elements.length;i++)
	{
		var e = form.elements[i];
//		if (e.name != 'chkall')
			if (e.checked==false)
			{
				e.checked = true;// form.chkall.checked;
			}
			else
			{
				e.checked = false;
			}
	}
}

function CheckAll(form)
{
	for (var i=0;i<form.elements.length;i++)
	{
		var e = form.elements[i];
//		if (e.name != 'chkall')
			e.checked = true// form.chkall.checked;
	}
}

var currentpos,timer;

function initialize()
{
timer=setInterval("scrollwindow()",2);
}
function sc(){
clearInterval(timer);
}
function scrollwindow()
{
currentpos=document.body.scrollTop;
window.scroll(0,++currentpos);
if (currentpos != document.body.scrollTop)
sc();
}
document.onmousedown=sc
document.ondblclick=initialize

function mp(htmlurl){
var
newwin=window.open(htmlurl,"Orangecity","toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=yes,top=0,left=0,width=760,height=500");
newwin.focus();
return false;
}
function gc(htmlurl){
var
newwin=window.open(htmlurl,"Orangecity","toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=yes,top=0,left=0,width=760,height=500");
newwin.focus();
return false;
}
function xz(htmlurl){
var
newwin=window.open(htmlurl,"Orangecity","toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=yes,top=0,left=0,width=760,height=500");
newwin.focus();
return false;
}
function sms(htmlurl){
var
newwin=window.open(htmlurl,"Orangecity","toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=yes,top=0,left=0,width=760,height=500");
newwin.focus();
return false;
}

function Wmaplay1(id){
window.open( '/music/play2/play.asp?id='+id,'orangecity', ',width=306 , height=240 ,scrollbars=auto ,resizable=yes');
}
function Wmaplay2(id){
window.open( '/music/play2/play.asp?id='+id,'orangecity', ',width=306 , height=240 ,scrollbars=auto ,resizable=yes');
}
function Wmaplay3(id){
window.open( '/music/play/play.asp?id='+id,'orangecity', ',width=460 , height=380 ,scrollbars=auto ,resizable=yes');
}
function play1(id){
window.open( '/music/play2/play.asp?id='+id,'orangecity', ',width=306 , height=240 ,scrollbars=auto ,resizable=yes');
}
function play2(id){
window.open( '/music/play2/play.asp?id='+id,'orangecity', ',width=320 , height=291 ,scrollbars=auto , noresize');
}
function play3(id){
window.open( '/music/lrcplay/play.asp?id='+id,'orangecity', ',width=306 , height=240 ,scrollbars=auto , noresize');
}
function players1(id){
window.open( '/music/players/players.asp?id='+id,'orangecity', ',width=318 , height=195 ,scrollbars=auto , noresize');
}
function players2(id){
window.open( '/music/players/players.asp?id='+id,'orangecity', ',width=318 , height=195 ,scrollbars=auto , noresize');
}
function players3(id){
window.open( '/music/players/players.asp?id='+id,'orangecity', ',width=318 , height=195 ,scrollbars=auto , noresize');
}

function orangecity ()
{
window.open("about:blank","orangecity","toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes,copyhistory=yes,top=0,left=0,width=760,height=500");
}
//// 提示
function disp() {
	if ( (ns4) || (ie4) ) {
		if (snow == 0) 	{
			if (dir == 2) { // Center
				moveTo(over,x+offsetx-(width/2),y+offsety);
			}
			if (dir == 1) { // Right
				moveTo(over,x+offsetx,y+offsety);
			}
			if (dir == 0) { // Left
				moveTo(over,x-offsetx-width,y+offsety);
			}
			showObject(over);
			snow = 1;
		}
	}
// Here you can make the text goto the statusbar.
}
///////会员/专辑
function user(username,info){
document.write("<tr bgcolor=#ffffff>");
document.write ("<td>"+username+"</td><td width=20% align=center >"+info+"</td></tr>");}
function hot(Specialid,titley,hits,musicid){
document.write("<tr bgcolor=#ffffff >");
if (Specialid!=""){document.write("<td><a href='Musiclist.asp?AlbumID="+Specialid+"'>"+titley+"</a></td><td width=18% align=center ><font color=#666666>"+hits+"</font></td></tr>");}
else
document.write ("<td><a href=javascript:Wmaplay('"+musicid+"')>"+titley+"</a></td><td width=18% align=center><font color=#666666>"+hits+"</font></td></tr>");}
function MM_openBrWindow(theURL,winName,features) { //v2.0
 window.open(theURL,winName,features);
}
///分页
function ShowPage(TotalPage,topage,url){

if (topage<6){long=11-topage;}
else
if (TotalPage-topage<6){long=10-(TotalPage-topage)}
else{long=5;}

for (var i=1; i <= TotalPage; i++) {
if (i < topage+long && i > topage-long || i==1 || i==TotalPage){
if (topage==i){document.write(" "+ i +" ");}else{document.write(" <a href="+url+"&topage="+i+">"+ i +"</a> ");}
}
}

}
//-->